Subject: Re: bug#31709: 27.0.50; Wishlist: Perhaps Emacs should load a file when getting a particular signal?

From: Marcin Borkowski <[email-masked]>
Date: Mon, 04 Jun 2018 14:27:34 +0200

On 2018-06-04, at 13:29, Lars Ingebrigtsen <[email-masked]> wrote:

> Once again I find myself in the situation that I've started an Emacs at
> home without an Emacs server socket, and I know there's something in a
> buffer there that I want to get a hold of.  But I'm at work, and there's
> no way to make Emacs start a server remotely.
>
> It would be really nice if I could just ssh to the machine where the
> Emacs is running, do "kill -USR1 <pid>" and then ... Emacs could do
> something.  Like load "~/.emacs.d/load-file-USR1" or something.  Or just
> start emacs-server.
>
> There are security implications, of course...  But does this seem like
> something useful?
>
> Writing a package that does this is easy, of course, but if you know
> that this is something you need, then you'd already have started the
> Emacs server anyway.  So it would have to be something that's available
> in Emacs by default, because you only need it if you didn't know that
> you were going to need it.  :-)

Out of curiosity: is there any downside to having server-start in your
init.el?

Best,

--
Marcin Borkowski
http://mbork.pl